Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Update company

Update a single company (name, logoUrl, isVip, primaryDomain, connections). At least one field must be provided; omitted fields are left unchanged and null clears a nullable field.

PATCH/companies/{companyId}
Authorization
AuthorizationBearer token · headerrequired

Organization API key (modem_…).

Path parameters
companyIdstringrequired
matches ^\d+$
Header parameters
Idempotency-Keystring

Replays a successful mutating request for 24 hours. Reuse with a different payload returns 409.

max length 255
Request body
requiredapplication/json
connectionsobject
Show properties
emailstring | null
Show properties
Any of:
string
string
null
null
githubstring | null
Show properties
Any of:
string
string
null
null
linkedinstring | null
Show properties
Any of:
string
string
null
null
phonestring | null
Show properties
Any of:
string
string
null
null
twitterstring | null
Show properties
Any of:
string
string
null
null
isVipboolean
logoUrlstring<uri> | null
Show properties
Any of:
string<uri>
string<uri>
null
null
namestring
min length 1
primaryDomainstring | null
Show properties
Any of:
string
string
null
null
Responses
200

OK

connectionsobjectrequired
Show properties
emailstring | nullrequired
Show properties
Any of:
string
string
null
null
githubstring | nullrequired
Show properties
Any of:
string
string
null
null
linkedinstring | nullrequired
Show properties
Any of:
string
string
null
null
phonestring | nullrequired
Show properties
Any of:
string
string
null
null
twitterstring | nullrequired
Show properties
Any of:
string
string
null
null
idstringrequired
matches ^\d+$
isVipbooleanrequired
logoUrlstring<uri> | nullrequired

Company logo image URL.

Show properties
Any of:
string<uri>
string<uri>
null
null
namestringrequired

Company name.

primaryDomainstring | nullrequired
Show properties
Any of:
string
string
null
null
400

Invalid request (validation failed).

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

401

Missing or invalid API key.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

403

The API key does not have access to this resource.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

404

The requested resource was not found.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

409

The request conflicts with an existing resource or idempotency operation.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

429

Rate limit exceeded.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

500

Internal server error.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://api.modem.dev/v1/companies/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "connections": {
    "email": "string",
    "github": "string",
    "linkedin": "string",
    "phone": "string",
    "twitter": "string"
  },
  "isVip": true,
  "logoUrl": "http://example.com",
  "name": "string",
  "primaryDomain": "string"
}'
Response
{
  "connections": {
    "email": "string",
    "github": "string",
    "linkedin": "string",
    "phone": "string",
    "twitter": "string"
  },
  "id": "string",
  "isVip": true,
  "logoUrl": "http://example.com",
  "name": "string",
  "primaryDomain": "string"
}

Was this page helpful?